Update an NTP server configuration after validation
Updates the configuration of an NTP server for the ONTAP cluster after validation, ensuring the server settings align with your cluster requirements.
HTTP method and endpoint
PATCH /cluster/ntp/servers/{server}
Introduced in
ONTAP 9.7
Usage notes
Updates the configuration of an NTP server used by the ONTAP cluster after validation. Patchable fields are:
-
version -
key.id -
authentication_enabled
If authentication_enabled is modified to false, the associated NTP key is removed from the server instance.
If authentication_enabled is modified to true, you must provide an NTP key ID in the PATCH body.
Related ONTAP commands
-
cluster time-service ntp server modify
Learn more
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
server |
string |
path |
True |
Server address or host name |
return_timeout |
integer |
query |
False |
The number of seconds to allow the call to execute before returning. When doing a POST, PATCH, or DELETE operation on a single record, the default is 0 seconds. This means that if an asynchronous operation is started, the server immediately returns HTTP code 202 (Accepted) along with a link to the job. If a non-zero value is specified for POST, PATCH, or DELETE operations, ONTAP waits that length of time to see if the job completes so it can return something other than 202.
|
Request Body
| Name | Type | Description |
|---|---|---|
authentication_enabled |
boolean |
Set NTP symmetric authentication on (true) or off (false). |
key |
||
version |
string |
NTP protocol version for server. Valid versions are 3, 4, or auto. |
Example request
{
"authentication_enabled": 1,
"key": {
"id": 10
},
"version": "auto"
}
Response
Status: 202, Accepted
| Name | Type | Description |
|---|---|---|
job |
Example response
{
"job": {
"uuid": "string"
}
}
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
2097163 |
NTP server address was invalid. |
2097164 |
NTP server address was invalid. |
2097165 |
Could not resolve NTP server hostname. |
2097166 |
NTP server address query returned no valid IP addresses. |
2097167 |
Failed to connect to NTP server. |
2097169 |
NTP server provided was not synchronized. |
2097174 |
NTP server provided had too high of root distance. |
2097177 |
NTP server provided had an invalid stratum. |
2097181 |
NTP server address was invalid. |
2097182 |
NTP server address was invalid. |
2097183 |
NTP symmetric key authentication cannot be used for a node not in a cluster. |
2097185 |
NTP key authentication failed for the provided key. |
2097188 |
An invalid key identifier was provided. Identifiers must be in the range from 1 to 65535. |
2097193 |
An unknown key was provided. |
2097194 |
The field "authentication_enabled" cannot be false when the field NTP key is given. |
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
ntp_key_reference
| Name | Type | Description |
|---|---|---|
id |
integer |
NTP symmetric authentication key identifier or index number (ID). This ID, the type of cryptographic hash, and the cryptographic hash value are all provided by the remote NTP server. |
ntp_server
| Name | Type | Description |
|---|---|---|
authentication_enabled |
boolean |
Set NTP symmetric authentication on (true) or off (false). |
key |
||
version |
string |
NTP protocol version for server. Valid versions are 3, 4, or auto. |
job_link
| Name | Type | Description |
|---|---|---|
uuid |
string |
The UUID of the asynchronous job that is triggered by a POST, PATCH, or DELETE operation. |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |